From 179cd74bc5de3e797588452c65d987938c492802 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Jul 09 2023 01:05:03 +0000
Subject: [PATCH 10/32] [prosody-modules]: housekeeping


---

diff --git a/pcr/prosody-modules/PKGBUILD b/pcr/prosody-modules/PKGBUILD
index 99f61bc..e0272cd 100644
--- a/pcr/prosody-modules/PKGBUILD
+++ b/pcr/prosody-modules/PKGBUILD
@@ -2,38 +2,43 @@
 # SPDX-License-Identifier: CC0-1.0
 # Maintainer: Parabola Hackers <dev@lists.parabola.nu>
 
+
+# NOTE:
 # The prosody-modules repository doesn't have tags that correspond to
-# the prosody releases. In the prosody source code we have:
-# $ hg tags | grep "^0.12.1"
-# 0.12.1                         12526:252ed01896dd
-# $ hg log
-# [...]
-# changeset:   12543:cf29bdb74c15
-# branch:      0.12
-# parent:      12526:252ed01896dd
-# user:        Matthew Wild <mwild1@gmail.com>
-# date:        Thu Jun 09 12:42:57 2022 +0100
-# summary:     Added tag 0.12.1 for changeset 252ed01896dd
-# [...]
-# changeset:   12526:252ed01896dd
-# branch:      0.12
-# tag:         0.12.1
-# user:        Kim Alvefur <zash@zash.se>
-# date:        Fri May 27 14:45:35 2022 +0200
-# summary:     mod_smacks: Bounce unhandled stanzas from local origin (fix #1759)
-# So we used the revision 4959:0989dea9b356
-# and in prosody-modules we have:
-# $ hg log
-# changeset:   4960:59bedf167910
-# user:        Kim Alvefur <zash@zash.se>
-# date:        Mon Jun 13 14:25:39 2022 +0200
-# summary:     mod_muc_ping: Remove since Prosody mod_muc 0.11+ covers this natively
+# the prosody releases. So we used the commit right before June 09
+# to correspond to the prosody release.
+#
+# In the prosody source code we have:
+#   $ hg tags | grep "^0.12.1"
+#   0.12.1                         12526:252ed01896dd
+#   $ hg log
+#   [...]
+#   changeset:   12543:cf29bdb74c15
+#   branch:      0.12
+#   parent:      12526:252ed01896dd
+#   user:        Matthew Wild <mwild1@gmail.com>
+#   date:        Thu Jun 09 12:42:57 2022 +0100
+#   summary:     Added tag 0.12.1 for changeset 252ed01896dd
+#   [...]
+#   changeset:   12526:252ed01896dd
+#   branch:      0.12
+#   tag:         0.12.1
+#   user:        Kim Alvefur <zash@zash.se>
+#   date:        Fri May 27 14:45:35 2022 +0200
+#   summary:     mod_smacks: Bounce unhandled stanzas from local origin (fix #1759)
+#   So we used the revision 4959:0989dea9b356
+#   and in prosody-modules we have:
+#   $ hg log
+#   changeset:   4960:59bedf167910
+#   user:        Kim Alvefur <zash@zash.se>
+#   date:        Mon Jun 13 14:25:39 2022 +0200
+#   summary:     mod_muc_ping: Remove since Prosody mod_muc 0.11+ covers this natively
 #
-# changeset:   4959:0989dea9b356
-# user:        Kim Alvefur <zash@zash.se>
-# date:        Sun Jun 05 21:59:17 2022 +0200
-# summary:     mod_rest: Add various things to openapi spec
-# So we used the commit right before June 09 to correspond to the prosody release
+#   changeset:   4959:0989dea9b356
+#   user:        Kim Alvefur <zash@zash.se>
+#   date:        Sun Jun 05 21:59:17 2022 +0200
+#   summary:     mod_rest: Add various things to openapi spec
+
 
 pkgname=prosody-modules
 pkgver=0.12.3
@@ -44,8 +49,8 @@ url="https://modules.prosody.im/"
 license=('MIT')
 depends=('prosody')
 makedepends=('mercurial')
-mksource=("${pkgname}-${pkgver}::hg+https://hg.prosody.im/prosody-modules/#revision=5579")
-source=("https://repo.parabola.nu/other/${pkgname}-libre/${pkgname}-libre-${pkgver}")
+mksource=(${pkgname}-${pkgver}::hg+https://hg.prosody.im/prosody-modules/#revision=5579)
+source=(https://repo.parabola.nu/other/${pkgname}-libre/${pkgname}-libre-${pkgver}.tar.xz{,.sig})
 mksha1sums=('SKIP')
 sha1sums=('SKIP')
 

